# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{8..12} )
PYPI_NO_NORMALIZE=1
PYPI_PN="Flask-Babel"
inherit distutils-r1 pypi

DESCRIPTION="i18n and l10n support for Flask based on Babel and pytz"
HOMEPAGE="
	https://pythonhosted.org/Flask-Babel/
	https://pypi.org/project/Flask-Babel/
	https://github.com/python-babel/flask-babel/"

LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 x86"

RDEPEND="
	dev-python/Babel[${PYTHON_USEDEP}]
	dev-python/flask[${PYTHON_USEDEP}]
	dev-python/jinja2[${PYTHON_USEDEP}]
	dev-python/pytz[${PYTHON_USEDEP}]
	dev-python/werkzeug[${PYTHON_USEDEP}]
"
BDEPEND="
	test? ( dev-python/pytest-mock[${PYTHON_USEDEP}] )
"

distutils_enable_sphinx docs \
	dev-python/flask-sphinx-themes
distutils_enable_tests pytest
