# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PYTHON_COMPAT=( python3_{8..12} )
PYPI_NO_NORMALIZE=1
PYPI_PN="Flask-Script"
inherit distutils-r1 pypi

DESCRIPTION="Flask support for writing external scripts"
HOMEPAGE="https://flask-script.readthedocs.io/en/latest/
	https://flask-script.readthedocs.io/en/latest/
	https://pypi.org/project/Flask-Script/"

LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 x86"

RDEPEND=">=dev-python/flask-0.10.1-r1[${PYTHON_USEDEP}]"

PATCHES=( "${FILESDIR}/${P}-flask_script-everywhere.patch" )

distutils_enable_tests pytest
distutils_enable_sphinx docs

python_test() {
	epytest tests.py
}
