# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..12} )

PV_COMMIT="96eadf89893d73de480b6fe6a06dcf88c69cb7f6"

inherit distutils-r1

DESCRIPTION="a command line client to manage the privacyIDEA server"
HOMEPAGE="https://www.privacyidea.org/"
SRC_URI="https://github.com/privacyidea/${PN}/archive/${PV_COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

S=${WORKDIR}/${PN}-${PV_COMMIT}

##DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
##        dev-python/sphinx[${PYTHON_USEDEP}]"
RDEPEND="virtual/python-cffi[${PYTHON_USEDEP}]
         dev-python/click[${PYTHON_USEDEP}]
         dev-python/cryptography[${PYTHON_USEDEP}]
         dev-python/python-yubico[${PYTHON_USEDEP}]
         dev-python/qrcode[${PYTHON_USEDEP}]
         dev-python/requests[${PYTHON_USEDEP}]
         dev-python/six[${PYTHON_USEDEP}]"

PATCHES=(
	"${FILESDIR}"/setup-remove-doc.patch
)


src_prepare(){
	patch setup.py "${FILESDIR}"/setup-remove-doc.patch
	rm -rf tests
##	emake man
	eapply_user
}

distutils_enable_sphinx doc --no-autodoc
